Page 1 of 1

500 - JHtmlBehavior: :mootools not supported.

Posted: Mon Jun 15, 2015 2:12 am
by muddauber
Every time I try to upgrade my site to 3.X, I end up with this error:

500 - JHtmlBehavior: :mootools not supported.

I reviewed extensions, including reviewing files in my system and find
no trace of mootools reference.

Any ideas?

Re: 500 - JHtmlBehavior: :mootools not supported.

Posted: Mon Jun 15, 2015 2:30 am
by itoctopus
That must be in your template. Search for something like:

Code: Select all

JHtml::_('behavior.mootools');
or

Code: Select all

JHtmlBehavior::mootools();
and either remove them (if you're not using mootools) or replace them with

Code: Select all

JHtml::_('behavior.framework');